Bug 177705 - Cannot install java card platform on clean userdir
Cannot install java card platform on clean userdir
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Platform
6.x
PC All
: P2 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@java
: ERGONOMICS
Depends on: 178256
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-26 21:30 UTC by _ tboudreau
Modified: 2009-12-10 02:31 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ tboudreau 2009-11-26 21:30:27 UTC
Install the javacard modules (continuous builds here: http://deadlock.netbeans.org/hudson/job/javacard/ ).

Start IDE with ergonomics enabled, clean build.  Go to Tools > Plugins.  You do not get a list of available platform types to install, even though java card modules are installed and enabled - you just get a file chooser that lets you locate a JDK (the default behavior if there is only one PlatformInstall in the IDE).

Not sure if there is some ergonomics magic I need to do, or if something is just broken.  Either Tools > Java Platforms should enable some features before it tries to lookup things, or something else is broken, but the Java Card PlatformInstall is not available.

Disabling ergonomics cluster fixes the problem.
Comment 1 Jaroslav Tulach 2009-11-27 07:38:43 UTC
Re. "Go to Tools > Plugins.... you just get a file chooser that lets you
locate a JDK" - this is some non-sense. There is no JDK in Tools -> Plugins. But you may mean Tools -> Platforms.

The Tools -> Platforms dialog is not considered an important entry point. E.g. until JavaCard is fully enabled, the functionality cannot be there. But...

But you are saying the modules are enabled. Then it can be some problem with listeners or order of delivered events while the JavaCard modules are being enabled. If so, there is nothing FoD could do - Tomáš will need to improve the listening.

Waiting for Tomáš to do more analysis.
Comment 2 _ tboudreau 2009-11-27 07:53:03 UTC
Yes, I meant Tools > Java Platforms.

The Java Card modules are enabled.

But what I get is a file chooser that enables me to locate a J2SE platform.

In other words, Java Card is triggering some partial enablement of the Java cluster.

We already had this problem once for 6.7 and it was fixed;  now it is back.  How many times will we do this?
Comment 3 Tomas Zezula 2009-11-27 08:30:08 UTC
Sorry Jardo,
but the Java Platform do not cache GeneralPlatformInstall instances it asks every time again.
But it's NB 4.0 code using FolderInstance (I remember there were some problems FolderInstance vs ergonomics even in Libraries and I had to rewrite it to Lookups.forPath).
I will need to run it under debugger to verify. If this is the problem I will get rid of the FolderInstance.
Comment 4 _ tboudreau 2009-12-06 14:54:13 UTC
Seems to be working now - ?
Comment 5 Tomas Zezula 2009-12-07 03:21:07 UTC
Not yet. It's a FolderInstance race, sometimes works fine sometimes .....
I am going to rewrite it to Lookups.forFolder when time permits (during christmas)
Comment 6 Tomas Zezula 2009-12-07 10:18:27 UTC
Fixed in jet-main 931672a49d3c
Comment 7 Quality Engineering 2009-12-10 02:31:30 UTC
Integrated into 'main-golden', will be available in build *200912100200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/931672a49d3c
User: Tomas Zezula <tzezula@netbeans.org>
Log: #177705:Cannot install java card platform on clean userdir


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo